schema: ./schema.graphqls
documents:
  - ./client/src/graphql/**/*.graphql
generates:
  ./shared/generated/graphql.ts:
    plugins:
      - typescript
      - typescript-operations
      - typescript-graphql-request
    config:
      useTypeImports: true
      namingConvention:
        typeNames: change-case#pascalCase
        enumValues: change-case#upperCase
